using System;

internal sealed class Delegate818 : MulticastDelegate
{
	public extern object Invoke(Type type_0, short short_0);

	public static object smethod_0(Type type_0, short short_0, Delegate818 delegate818_1)
	{
		return delegate818_1(type_0, short_0);
	}

	public extern Delegate818(object object_0, IntPtr intptr_0);

	static Delegate818()
	{
		Class10.smethod_13(typeof(Delegate818).TypeHandle);
	}

	internal static Delegate818 delegate818_0;
}
